Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.extensions
Class XPathFunctionResolverImpl

    java.lang.Object
      |
      +--org.apache.xalan.extensions.XPathFunctionResolverImpl

public class XPathFunctionResolverImpl
extends java.lang.Object
implements XPathFunctionResolver

A sample implementation of XPathFunctionResolver, with support for EXSLT extension functions and Java extension functions.

Constructor Summary
`XPathFunctionResolverImpl()`

Method Summary
`XPathFunction` | `resolveFunction(QName qname, int arity)` Resolve an extension function from the qualified name and arity.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathFunctionResolverImpl

    public XPathFunctionResolverImpl()

Method Detail

### resolveFunction

    public XPathFunction resolveFunction(QName qname,
                                         int arity)

  Resolve an extension function from the qualified name and arity.
  Specified by:
    resolveFunction in interface XPathFunctionResolver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.